﻿# Biblos 5 - The Accessible Braille Word Processor
# AddOn for NVDA 2025.1 (and later?)
# Copyright (C) 2013-2025 Giuseppe Di Grande
# eMail: giuseppe@digrande.it
# Web site: https://www.digrande.it/
# Facebook group: https://www.facebook.com/groups/BiblosBraille
# Telegram: https://t.me/BiblosBraille
# X: https://x.com/BiblosBraille
# YouTube: https://www.youtube.com/@GiuseppeDiGrande

import config
from . import biblosGlob

class biblosConfig:
	_lBiblos = "biblos"

	def __init__(self):
		config.conf.spec[self._lBiblos] = {}

	@property
	def textTransliteration(self):
		"""Text transliteration property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.textTransliteration]=="True"
		except: return False

	@textTransliteration.setter
	def textTransliteration(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.textTransliteration] = str(value)
		except: pass

	@property
	def sayIndentation(self):
		"""Say indentation property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.sayIndentation]=="True"
		except: return False

	@sayIndentation.setter
	def sayIndentation(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.sayIndentation] = str(value)
		except: pass

	@property
	def sayAllBlankMode(self):
		"""say All blank mode property"""
		try:
			return int(config.conf[self._lBiblos][biblosGlob.sayAllBlankMode])
		except: return 0

	@sayAllBlankMode.setter
	def sayAllBlankMode(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.sayAllBlankMode] = str(value)
		except: pass

	@property
	def sayBrailleNav(self):
		"""Say braille navigation property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.sayBrailleNav]=="True"
		except: return False

	@sayBrailleNav.setter
	def sayBrailleNav(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.sayBrailleNav] = str(value)
		except: pass

	@property
	def brailleMode(self):
		"""Braille mode property"""
		try:
			return int(config.conf[self._lBiblos][biblosGlob.brailleMode])
		except: return 0

	@brailleMode.setter
	def brailleMode(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.brailleMode] = str(value)
		except: pass

	@property
	def brailleTolerance(self):
		"""Braille tolerance property"""
		try:
			return int(config.conf[self._lBiblos][biblosGlob.brailleTolerance])
		except: return 7

	@brailleTolerance.setter
	def brailleTolerance(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.brailleTolerance] = str(value)
		except: pass

	@property
	def brailleFormatting(self):
		"""Braille formatting property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.brailleFormatting]=="True"
		except: return False

	@brailleFormatting.setter
	def brailleFormatting(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.brailleFormatting] = str(value)
		except: pass

	@property
	def brailleTableCoords(self):
		"""Braille table coords property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.brailleTableCoords]=="True"
		except: return True

	@brailleTableCoords.setter
	def brailleTableCoords(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.brailleTableCoords] = str(value)
		except: pass

	@property
	def brailleExtras(self):
		"""Braille extras property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.brailleExtras]=="True"
		except: return False

	@brailleExtras.setter
	def brailleExtras(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.brailleExtras] = str(value)
		except: pass