﻿# Biblos 5 - The Accessible Braille Word Processor
# AddOn for NVDA 2025.1 (and later?)
# Copyright (C) 2013-2025 Giuseppe Di Grande
# eMail: giuseppe@digrande.it
# Web site: https://www.digrande.it/
# Facebook group: https://www.facebook.com/groups/BiblosBraille
# Telegram: https://t.me/BiblosBraille
# X: https://x.com/BiblosBraille
# YouTube: https://www.youtube.com/@GiuseppeDiGrande

import languageHandler
import gui
from . import biblosGlob

class biblosLocales:

	def __init__(self):
		try:
			self.lcid = languageHandler.getLanguage()
			i = self.lcid.find('_')
			if i!=-1: self.lcid = self.lcid[0:i]
		except: pass

	def locale(self, id):
		try: return self._dLangs[self.lcid][id]
		except: pass
		try: return self._dLangs["en"][id]
		except: return ""


	_dEng = {
		biblosGlob.textTransliteration: "Text transliteration",
		biblosGlob.sayIndentation: "Say Python indentation",
		biblosGlob.sayAllBlankMode: "Say All on empty lines:",
		biblosGlob.sayAllBlankModeOpts: ["Nothing","Pause","Beep"],
		biblosGlob.sayBrailleNav: "Says movements of braille",
		biblosGlob.brailleMode: "Braille mode:",
		biblosGlob.brailleModeOpts: ["Block","Scroll"],
		biblosGlob.brailleTolerance: "Braille tolerance:",
		biblosGlob.brailleFormatting: "Show the formatting of the document",
		biblosGlob.brailleTableCoords: "Show coordinates in tables",
		biblosGlob.brailleExtras: "Show extras items of the document"
	}

	_dIta = {
		biblosGlob.textTransliteration: "Traslitterazione del testo",
		biblosGlob.sayIndentation: "Legge i rientri di Python",
		biblosGlob.sayAllBlankMode: "Leggi Tutto nelle linee vuote:",
		biblosGlob.sayAllBlankModeOpts: ["Niente","Pausa","Beep"],
		biblosGlob.sayBrailleNav: "Legge i movimenti del braille",
		biblosGlob.brailleMode: "Modalità braille:",
		biblosGlob.brailleModeOpts: ["Blocco","Scorrimento"],
		biblosGlob.brailleTolerance: "Tolleranza braille:",
		biblosGlob.brailleFormatting: "Mostra la formattazione del documento",
		biblosGlob.brailleTableCoords: "Mostra le coordinate nelle tabelle",
		biblosGlob.brailleExtras: "Mostra gli elementi speciali del documento"
	}

	_dEsn = {
		biblosGlob.textTransliteration: "Transliteración del texto",
		biblosGlob.sayIndentation: "Leer sangrías de Python",
		biblosGlob.sayAllBlankMode: "Leer Todo en las líneas vacías:",
		biblosGlob.sayAllBlankModeOpts: ["Nada","Pausa","Beep"],
		biblosGlob.sayBrailleNav: "Dice los movimientos de braille",
		biblosGlob.brailleMode: "Modo braille:",
		biblosGlob.brailleModeOpts: ["Bloque","Desplazar"],
		biblosGlob.brailleTolerance: "Tolerancia braille:",
		biblosGlob.brailleFormatting: "Mostrar el formato del documento",
		biblosGlob.brailleTableCoords: "Mostrar las coordenadas en tablas",
		biblosGlob.brailleExtras: "Mostrar elementos especiales del documento"
}

	_dFra = {
		biblosGlob.textTransliteration: "Translittération du texte",
		biblosGlob.sayIndentation: "Lire le retrait de Python",
		biblosGlob.sayAllBlankMode: "Lire Tout dans les lignes vides :",
		biblosGlob.sayAllBlankModeOpts: ["Rien", "Pause", "Bip"],
		biblosGlob.sayBrailleNav: "Lire les mouvements du braille",
		biblosGlob.brailleMode: "Modes braille:",
		biblosGlob.brailleModeOpts: ["Bloc","Défilement"],
		biblosGlob.brailleTolerance: "Tolérance du braille:",
		biblosGlob.brailleFormatting: "Montre le formatage du document",
		biblosGlob.brailleTableCoords: "Montre les coordonnées dans les tableaux",
		biblosGlob.brailleExtras: "Montre les éléments spéciaux du document"
}

	_dPtg = {
		biblosGlob.textTransliteration: "Transliteração de texto",
		biblosGlob.sayIndentation: "Ler a indentação de Python",
		biblosGlob.sayAllBlankMode: "Ler tudo nas linhas vazias:",
		biblosGlob.sayAllBlankModeOpts: ["Nada", "Pausa", "Bip"],
		biblosGlob.sayBrailleNav: "Lê os movimentos do braille",
		biblosGlob.brailleMode: "Modo braille:",
		biblosGlob.brailleModeOpts: ["Bloco","Rolante"],
		biblosGlob.brailleTolerance: "Tolerância braille:",
		biblosGlob.brailleFormatting: "Mostra a formatação do documento",
		biblosGlob.brailleTableCoords: "Mostra as coordenadas nas tabelas",
		biblosGlob.brailleExtras: "Mostra os elementos especiais do documento"
}				

	_dLangs = {
		"en": _dEng,
		"it": _dIta,
		"es": _dEsn,
		"fr": _dFra,
		"pt": _dPtg
	}
	